import useEngineContext from "../../../hooks/useEngineContext";
var usePlatform = function usePlatform() {
  var _context$appHelper;
  var context = useEngineContext();
  var platform = (_context$appHelper = context.appHelper) === null || _context$appHelper === void 0 || (_context$appHelper = _context$appHelper.constants) === null || _context$appHelper === void 0 ? void 0 : _context$appHelper.platform;
  return platform;
};
var useIsShop = function useIsShop() {
  var platform = usePlatform();
  return platform === 'shop';
};
var useIsH5 = function useIsH5() {
  var platform = usePlatform();
  return platform === 'h5';
};
var useIsPc = function useIsPc() {
  var platform = usePlatform();
  return platform === 'pc';
};
export { usePlatform, useIsShop, useIsH5, useIsPc };